#!/bin/bash

LEDGER_NAME=${LEDGER_NAME:-sandbox}
FEES=${FEES:-1:0,100:0,101:0,102:0,10001:0}
MINT_TOKENS_AMOUNT=${MINT_TOKENS_AMOUNT:-1000}
MINT_ADDRESS=${MINT_ADDRESS:-pay:sov:2VDx3iWWSJusBmop3HH5A4VdK6UyYwHoT2zGXTBLoJskxuGVhP}
PAYMENT_ADDRESS=$MINT_ADDRESS
GENESIS_FILE=/var/lib/indy/${LEDGER_NAME}/pool_transactions_genesis

cat <<EOF > /etc/ledger_helpers/env
export LEDGER_NAME=${LEDGER_NAME}
export FEES=${FEES}
export MINT_TOKENS_AMOUNT=${MINT_TOKENS_AMOUNT}
export MINT_ADDRESS=${MINT_ADDRESS}
export PAYMENT_ADDRESS=${MINT_ADDRESS}
export GENESIS_FILE=${GENESIS_FILE}
EOF
